Subject: Re: bug#38088: Guix system becomes unresponsive after backtrace

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 6 Nov 2019 16:52:35 +0100

Hi Gábor,

On Wed, 6 Nov 2019 15:15:41 +0100
Gábor Boskovits <[email-masked]> wrote:

> This happened when I was trying a pre-inst-env guix build from a
> core-updates checkout.
> Previously python3 failed to build, and I was trying to build it again.

Hmm, sounds like disk corruption.  If there's a sudden read-only appearing then
it's often because the kernel found a file system error and doesn't want to make
the situation worse.  It then remounts the affected file-system read-only.
According to the top of your screenshot, even /tmp is read-only.  I think we
don't use a tmpfs, so that's the root file system.

Could you check dmesg for signs?